package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.system.entity.User;
import cn.com.ty.lift.system.entity.UserInfo;
import cn.com.ty.lift.system.user.service.impl.UserService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;

    @RequestMapping("/login")
    @ResponseBody
    public User getUser(String userId){
        User user = userService.getUserById(userId);
        return user;
    }

    /**
     * @description
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    @PostMapping("/addUser")
    @ResponseBody
    public Object addUserInfo(UserInfo userInfo){
        userService.saveUserInfo(userInfo);
        return RestResponse.ok(UserInfo.class, "success");
    }

}
